#include "clientlogin.h"
#include "ui_clientlogin.h"
#include "clientmainwindow.h"  // Include the header file for ClientMainWindow

ClientLogin::ClientLogin(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ClientLogin),
    client(new ClientMainWindow())
{
    ui->setupUi(this);
}

ClientLogin::~ClientLogin()
{
    delete ui;
}

void ClientLogin::on_buttonBox_accepted()
{
    // Get the user input from Nameline
    std::string newName = ui->Nameline->text().toStdString();
    //qDebug()<<QString(newName.c_str());

    // Call the method to set the Name variable in ClientMainWindow
    client->setName(newName);

    client->show();
    this->close();
}
